@import "../../../../../global.scss";
// @import "compass/css3";

body {
  overflow-x: hidden;
}

.main {
  background-color: white;
  // height: 100vh;
  width: 100%;
}
.title {
  color: $Lime;
  font-weight: bold;
  font-size: 26px;
}
.tabDiv {
  width: 100%;
  display: flex;
  justify-content: center;
}
.tabHeader {
  margin-top: 5%;
  width: 85%;
  padding-bottom: 1rem;
  border-bottom: 1px solid $Blue;
  display: flex;
  justify-content: space-between;
}

.tabHeadButton {
  height: 25px;
  width: 40px;
  background-color: $Lime;
  border-radius: 20%;
}

.diagramContainer {
  justify-content: center;
  flex-direction: column;
  align-items: center;
  position: relative;
  display: flex;
  padding: 20px;
  margin-bottom: 7%;
  @include mindesktop {
    margin-top: 5%;
  }
  @include mdesktop {
    margin-top: 5%;
  }
  @include mtablet {
    margin-top: -14%;
  }
  @include tmobile {
    margin-top: -2%;
  }
  @include mmobile {
    margin-top: -5%;
  }
  @include smobile {
    margin-top: -14%;
  }
  @include bigScreen {
    margin-top: 5%;
  }
  @include xsmob {
    margin-top: -14%;
  }
}

/// Mixin to place items on a circle
/// @param {Integer} $item-count - Number of items on the circle
/// @param {Length} $circle-size - Large circle size
/// @param {Length} $item-size - Single item size

$rot: 13;
@mixin on-circle($item-count, $circle-size, $item-size) {
  position: relative;
  width: $circle-size;
  height: $circle-size;
  border-radius: 50%;
  padding: 10px;
  list-style: none;

  > * {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -($item-size / 2);
    width: $item-size;
    height: $item-size;
    $angle: (360 / $item-count);

    @for $i from 1 through $item-count {
      &:nth-of-type(#{$i}) {
        transform: rotate($rot * 1deg)
          translate($circle-size / 2)
          rotate($rot * -1deg);
      }

      $rot: $rot + $angle;
    }
  }
}
$item_size: 7em;
$circle_size: 30em;
.circleContainer {
  @include bigScreen {
    @include on-circle(
      $item-count: 7,
      $circle-size: $circle_size,
      $item-size: $item_size
    );
  }
  margin: 5em auto 0;
  border: solid 6px $Blue;
  @include mtablet {
    margin: 5em auto 0;
    border: none;
    margin: 0;
    display: table-cell;
    width: 100%;
    list-style: none;
    padding: 0;
  }
  span {
    z-index: 3;
    text-align: center;
    display: flex;
    width: 100%;
    border-radius: 50%;
    background-color: white;
    color: $Blue;

    @include bigScreen {
      &::after {
        content: attr(heading);
        position: absolute;
        width: 10em;
        font-weight: bold;
        font-size: medium;
        // @include transition (all 0.6s);
      }
      &:hover::after {
        opacity: 0;
      }
    }
    span {
      @include bigScreen {
        z-index: -2;
        position: absolute;
        height: auto;
        background-color: white;
        width: 20em;
        box-shadow: -1px -1px 10px rgba($Lime, 0.8);
        border-radius: 20px;
        flex: none;
        padding: 20px;
        padding-left: 38px;
        display: block;
        text-align: left;
        line-height: 1;
      }
      @include transition(all 0.4s);
      p {
        margin: 0;
      }
      @include mtablet {
        z-index: -2;
        position: relative;
        height: auto;
        background-color: white;
        width: auto;
        box-shadow: none;
        border-radius: 20px;
        flex: none;
        padding: 0;
        padding-left: 2em;
        display: block;
        text-align: left;
        line-height: 1;
        transition: all 0.4s;
        transform: none !important;
        padding-top: 0.5em;
      }
    }

    .circleBorder {
      height: $item_size;
      width: $item_size;
      border: solid 4px $DarkBlue;
      border-radius: 100%;
      flex: none;
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: white;
      @include transition(all 0.4s);
      z-index: 3;
      position: relative;

      &:hover {
        border: solid 4px $Lime;
      }
      @include mtablet {
        &::before {
          content: "";
          z-index: -2;
          background-color: #094658;
          width: 10px;
          height: 170%;
          top: 100%;
          left: 43%;
          position: absolute;
        }
      }
    }
  }
  li {
    &:nth-child(1) {
      span {
        &::after {
          z-index: -3;
          transform: translate(6.5em, 2em);
        }
        span {
          transform: translate(6em, -4em);
        }
      }
    }
    &:nth-child(2) {
      span {
        &::after {
          width: 15em;
          transform: translate(8em, 2em);
        }
        span {
          transform: translate(5em, 3em);
        }
      }
    }
    &:nth-child(3) {
      span {
        &::after {
          transform: translate(-10em, 2em);
        }
        span {
          transform: translate(-19em, 3em);
        }
      }
    }
    &:nth-child(4) {
      span {
        &::after {
          transform: translate(-10em, 3em);
        }
        span {
          transform: translate(-19em, -4em);
        }
      }
    }
    &:nth-child(5) {
      span {
        &::after {
          transform: translate(-10em, 2em);
        }
        span {
          transform: translate(-18em, -5em);
        }
      }
    }
    &:nth-child(6) {
      span {
        &::after {
          transform: translate(-1.3em, -3.5em);
        }
        span {
          transform: translate(-17em, -6em);
        }
      }
    }
    &:nth-child(7) {
      span {
        &::after {
          transform: translate(7em, 2em);
        }
        span {
          transform: translate(6em, -4em);
        }
      }
    }
      &:nth-child(8) {
      span {
        &::after {
          transform: translate(-1.4em, -2.5em);
        }
        span {
          transform: translate(-6.5em, -6em);
        }
      }
    }
    @include mtablet {
      transform: none !important;
      z-index: 2;
      display: table;
      position: relative;
      margin-top: 4em;
      &:nth-child(8) {
        span {
          a {
            div {
              &::before {
                display: none;
              }
            }
          }
        }
      }
    }
  }
}
.centerHead {
  text-align: center !important;
  position: absolute;
  margin-top: 5%;
  font-size: 1.5em;
  font-weight: bold;
  color: #06333f;
  @include mtablet {
    display: none;
  }
}
.item_description {
  @include mtablet {
    transition: none !important;
    z-index: 1 !important;
    transform: none !important;
    position: relative !important;
  }
}

.underline {
  border-bottom: 1px solid $DarkBlue;
  padding-bottom: 5px;
  margin-bottom: 10px;
}
.example-enter {
  opacity: 0.01;
}

.example-enter.example-enter-active {
  opacity: 1;
  transition: opacity 500ms ease-in;
}

.example-leave {
  opacity: 1;
}

.example-leave.example-leave-active {
  opacity: 0.01;
  transition: opacity 300ms ease-in;
}